/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.civicinfo.model;

import com.google.api.client.json.GenericJson;

/**
 * A simple representation of an address.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Civic Information API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SimpleAddressType extends GenericJson {

  /**
   * The city or town for the address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String city;

  /**
   * The street name and number of this address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String line1;

  /**
   * The second line the address, if needed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String line2;

  /**
   * The third line of the address, if needed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String line3;

  /**
   * The name of the location.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String locationName;

  /**
   * The US two letter state abbreviation of the address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String state;

  /**
   * The US Postal Zip Code of the address.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String zip;

  /**
   * The city or town for the address.
   * The value returned may be {@code null}.
   */
  public String getCity() {
    return city;
  }

  /**
   * The city or town for the address.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setCity(String city) {
    this.city = city;
    return this;
  }

  /**
   * The street name and number of this address.
   * The value returned may be {@code null}.
   */
  public String getLine1() {
    return line1;
  }

  /**
   * The street name and number of this address.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setLine1(String line1) {
    this.line1 = line1;
    return this;
  }

  /**
   * The second line the address, if needed.
   * The value returned may be {@code null}.
   */
  public String getLine2() {
    return line2;
  }

  /**
   * The second line the address, if needed.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setLine2(String line2) {
    this.line2 = line2;
    return this;
  }

  /**
   * The third line of the address, if needed.
   * The value returned may be {@code null}.
   */
  public String getLine3() {
    return line3;
  }

  /**
   * The third line of the address, if needed.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setLine3(String line3) {
    this.line3 = line3;
    return this;
  }

  /**
   * The name of the location.
   * The value returned may be {@code null}.
   */
  public String getLocationName() {
    return locationName;
  }

  /**
   * The name of the location.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setLocationName(String locationName) {
    this.locationName = locationName;
    return this;
  }

  /**
   * The US two letter state abbreviation of the address.
   * The value returned may be {@code null}.
   */
  public String getState() {
    return state;
  }

  /**
   * The US two letter state abbreviation of the address.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setState(String state) {
    this.state = state;
    return this;
  }

  /**
   * The US Postal Zip Code of the address.
   * The value returned may be {@code null}.
   */
  public String getZip() {
    return zip;
  }

  /**
   * The US Postal Zip Code of the address.
   * The value set may be {@code null}.
   */
  public SimpleAddressType setZip(String zip) {
    this.zip = zip;
    return this;
  }

}
